<div class="text-lg flex gap-2">
  <i 
    *ngFor="let star of stars; let i = index; trackBy: trackByIndex"
    class="fa text-amber-500 cursor-pointer" 
    [ngClass]="star"
    (click)="onStarClick(i)">
  </i>
</div>
